{{ template "base" . }}

{{ define "title" }}User{{ end }}

{{ define "header-left" }}
	<a class="pure-button" href="/">Back</a>
{{ end }}

{{ define "content" }}
{{ template "header" . }}

<div class="content pure-u-1">
	<div class="maxwidth box">
		<form class="pure-form pure-form-aligned" method="POST">
			<input type="hidden" name="action" value="update-pw">

			<fieldset>
				<div class="pure-control-group">
					<label for="form-old-pw">Current Password</label>
					<input type="password" id="form-old-pw" name="old-pw" required>
					{{ if .FormErrors.OldPW }}
						<span class="errmsg pure-form-message-inline">{{ .FormErrors.OldPW }}</span>
					{{ end }}
				</div>

				<div class="pure-control-group">
					<label for="form-new-pw-1">New Password</label>
					<input type="password" id="form-new-pw-1" name="new-pw" required>
					{{ if .FormErrors.NewPW }}
						<span class="errmsg pure-form-message-inline">{{ .FormErrors.NewPW }}</span>
					{{ end }}
				</div>

				<div class="pure-control-group">
					<label for="form-new-pw-2">New Password (repeat)</label>
					<input type="password" id="form-new-pw-2" name="new-pw-repeat" required>
				</div>
			</fieldset>

			<button type="submit" class="pure-button pure-button-primary">Update password</button>
		</form>

		{{ if .ShowResult }}
			{{ if .Success }}
				<p>Updated \o/
			{{ else }}
				<p class="errmsg">Something went wrong.
			{{ end }}

		{{ end }}

		<p>Hic sunt dracones
		<p>{{ .User }}
	</div>
</div>
{{ end }}